Package org.apache.lucene.search.join

# Class CheckJoinIndex

java.lang.Object
org.apache.lucene.search.join.CheckJoinIndex

public class CheckJoinIndex extends Object
Utility class to check a block join index.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `check(IndexReader reader, BitSetProducer parentsFilter)`
  Check that the given index is good to use for block joins.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### check

    public static void check(IndexReader reader, BitSetProducer parentsFilter) throws IOException
    Check that the given index is good to use for block joins.
    Throws:
      `IllegalStateException` - if the index does not have an appropriate structure
      `IOException`